IF ( SELECT COL_LENGTH('relojCfg', 'RevisaLabDiaDes')
   ) IS  NULL 
    BEGIN
        ALTER TABLE relojCfg ADD RevisaLabDiaDes VARCHAR(1)							
        ALTER TABLE relojoriginal ADD hrs_jor NUMERIC(5,2)
        ALTER TABLE relojCfg ADD autorizacaptura BIT						 		
    END 
GO	
IF NOT EXISTS ( SELECT  syscolumns.name
                FROM    syscolumns
                        LEFT JOIN sysobjects ON syscolumns.id = sysobjects.id
                WHERE   syscolumns.name = 'fchadmin2'
                        AND sysobjects.name = 'periodos' ) 
    ALTER TABLE periodos ADD fchadmin2 DATETIME

GO
IF NOT EXISTS ( SELECT  syscolumns.name
                FROM    syscolumns
                        LEFT JOIN sysobjects ON syscolumns.id = sysobjects.id
                WHERE   syscolumns.name = 'fchadmin1'
                        AND sysobjects.name = 'periodos' ) 
    ALTER TABLE periodos ADD fchadmin1 DATETIME

GO
IF NOT EXISTS ( SELECT  syscolumns.name
                FROM    syscolumns
                        LEFT JOIN sysobjects ON syscolumns.id = sysobjects.id
                WHERE   syscolumns.name = 'SupModImportes'
                        AND sysobjects.name = 'relojCfg' ) 
    BEGIN
        IF EXISTS ( SELECT  name
                    FROM    sysobjects
                    WHERE   name = N'RelojCnfgPrint'
                            AND type = 'U' ) 
            DROP TABLE RelojCnfgPrint

        IF EXISTS ( SELECT  name
                    FROM    sysobjects
                    WHERE   name = N'RelojSuper'
                            AND type = 'U' ) 
            DROP TABLE RelojSuper

        IF EXISTS ( SELECT  name
                    FROM    sysobjects
                    WHERE   name = N'Relojnom'
                            AND type = 'U' ) 
            DROP TABLE Relojnom

        IF EXISTS ( SELECT  name
                    FROM    sysobjects
                    WHERE   name = N'relojinfocorr'
                            AND type = 'U' ) 
            DROP TABLE relojinfocorr

        IF EXISTS ( SELECT  name
                    FROM    sysobjects
                    WHERE   name = N'relojoriginal'
                            AND type = 'U' ) 
            DROP TABLE relojoriginal

        IF EXISTS ( SELECT  name
                    FROM    sysobjects
                    WHERE   name = N'relojCfg'
                            AND type = 'U' ) 
            DROP TABLE relojCfg

    END
GO
IF NOT EXISTS ( SELECT  name
                FROM    sysobjects
                WHERE   name = N'relojCfg'
                        AND type = 'U' ) 
    CREATE TABLE [relojCfg]
        (
          [empresa] [numeric](3, 0)
            NOT NULL
            CONSTRAINT [DF__relojCfg__empres__74EE4BDE] DEFAULT ( 0 ) ,
          [empresareloj] [numeric](3, 0) NOT NULL ,
          [TipoEnlace] [numeric](1, 0) NOT NULL ,
          [TipoArchivo] [numeric](1, 0) NOT NULL ,
          [interpretarTE] [numeric](1, 0) NOT NULL ,
          [sinautorisarSup] [char](1) COLLATE Modern_Spanish_CI_AS
                                      NULL ,
          [quebase] [decimal](1, 0) NULL ,
          [Expretardos] [char](1) NULL ,
          [ExpAus] [char](1) NULL ,
          [Expvales] [char](1) NULL ,
          [ExpTE] [char](1) NULL ,
          [Concretardos] [numeric](3, 0) NULL ,
          [Concsalidas] [numeric](3, 0) NULL ,
          [Concvales] [numeric](3, 0) NULL ,
          [DiasAntTRA] [char](1) NULL ,
          [DiasAntDES] [char](1) NULL ,
          [DiasAntAHO] [char](1) NULL ,
          [DiasAntPUN] [char](1) NULL ,
          [CargaFchNom1] [Datetime] NULL ,
          [CargaFchNom2] [Datetime] NULL ,
          [CargaFchNom3] [Datetime] NULL ,
          [CargaFchNom4] [Datetime] NULL ,
          [CargaFchNom5] [Datetime] NULL ,
          [CargaFchNom6] [Datetime] NULL ,
          [exereloj] [varchar](150) COLLATE Modern_Spanish_CI_AS
                                    NULL ,
          [asccireloj] [varchar](150) COLLATE Modern_Spanish_CI_AS
                                      NULL ,
          [SugerirReloj] [char](1) COLLATE Modern_Spanish_CI_AS
                                   NULL ,
          [SupModImportes] [char](1) COLLATE Modern_Spanish_CI_AS
                                     NULL ,
          CONSTRAINT [idxrelojcng] PRIMARY KEY NONCLUSTERED ( [empresa] )
            ON [PRIMARY]
        )
    ON  [PRIMARY]

GO

IF NOT EXISTS ( SELECT  name
                FROM    sysobjects
                WHERE   name = N'RelojCnfgPrint'
                        AND type = 'U' ) 
    CREATE TABLE [RelojCnfgPrint]
        (
          [empresa] [numeric](3, 0) NOT NULL ,
          [llave] [varchar](20) COLLATE Modern_Spanish_CI_AS
                                NULL ,
          [periodo] [numeric](2, 0) NOT NULL ,
          [tiponom] [numeric](4, 0) NULL ,
          [ayo] [numeric](4, 0) NULL ,
          CONSTRAINT [RefrelojCfg4] FOREIGN KEY ( [empresa] ) REFERENCES [relojCfg] ( [empresa] ) ON DELETE CASCADE
        )
    ON  [PRIMARY]
GO

IF NOT EXISTS ( SELECT  name
                FROM    sysobjects
                WHERE   name = N'RelojSuper'
                        AND type = 'U' ) 
    CREATE TABLE [RelojSuper]
        (
          [idoriginal] [numeric](15, 0) NULL ,
          [interpretar] [char](1) COLLATE Modern_Spanish_CI_AS
                                  NULL ,
          [yarevisosup] [char](1) COLLATE Modern_Spanish_CI_AS
                                  NULL ,
          [diassuperv] [numeric](3, 0) NULL ,
          [horassuperv] [numeric](8, 4) NULL ,
          [importesup] [numeric](10, 2) NULL ,
          [observaciones] [varchar](250) COLLATE Modern_Spanish_CI_AS
                                         NULL ,
          [tipo] [char](2) COLLATE Modern_Spanish_CI_AS
                           NULL ,
          [nu_conc] [numeric](3, 0) NULL
        )
    ON  [PRIMARY]
GO

IF NOT EXISTS ( SELECT  name
                FROM    sysobjects
                WHERE   name = N'Relojnom'
                        AND type = 'U' ) 
    CREATE TABLE [Relojnom]
        (
          [idrelojnom] [numeric](15, 0) IDENTITY(1, 1)
                                        NOT NULL ,
          [empresa] [numeric](3, 0) NOT NULL ,
          [codigo] [numeric](10, 0) NOT NULL ,
          [marca] [char](2) COLLATE Modern_Spanish_CI_AS
                            NULL ,
          [Nu_conc] [numeric](3, 0) NOT NULL ,
          [fecha] [datetime] NOT NULL ,
          [dias] [numeric](3, 0) NULL ,
          [horas] [numeric](8, 4) NULL ,
          [incap_ref] [char](8) COLLATE Modern_Spanish_CI_AS
                                NULL ,
          [factor] [numeric](10, 7) NOT NULL ,
          [obs] [varchar](250) COLLATE Modern_Spanish_CI_AS
                               NULL ,
          [importe] [numeric](11, 2)
            NOT NULL
            CONSTRAINT [DF__Relojnom__import__2E7BCEF5] DEFAULT ( 0 ) ,
          [base100] [numeric](10, 3) NULL ,
          [periodo] [numeric](3, 0) NOT NULL ,
          [tiponom] [numeric](3, 0) NOT NULL ,
          [ayo_operacion] [numeric](4, 0) NOT NULL ,
          [Importado] [varchar](3) COLLATE Modern_Spanish_CI_AS
                                   NULL ,
          [tipo] [char](2) COLLATE Modern_Spanish_CI_AS
                           NULL ,
          [idoriginal] [numeric](15, 0) ,
          [folio] [numeric](5, 0) NULL ,
          CONSTRAINT [cdxrelojnom] PRIMARY KEY NONCLUSTERED ( [idrelojnom] )
            ON [PRIMARY] ,
          CONSTRAINT [RefrelojCfg5] FOREIGN KEY ( [empresa] ) REFERENCES [relojCfg] ( [empresa] )
        )
    ON  [PRIMARY]
GO

IF NOT EXISTS ( SELECT  name
                FROM    sysobjects
                WHERE   name = N'relojoriginal'
                        AND type = 'U' ) 
    CREATE TABLE [relojoriginal]
        (
          [idoriginal] [numeric](15, 0) NOT NULL ,
          [empresa] [numeric](3, 0)
            NOT NULL
            CONSTRAINT [DF__relojorig__empre__78BEDCC2] DEFAULT ( 0 ) ,
          [codigo] [numeric](10, 0) NULL ,
          [marca] [char](2) COLLATE Modern_Spanish_CI_AS
                            NULL ,
          [Nu_conc] [numeric](3, 0) NULL ,
          [fecha] [datetime] NULL ,
          [dias] [numeric](3, 0) NULL ,
          [horas] [numeric](8, 4) NULL ,
          [incap_ref] [char](8) COLLATE Modern_Spanish_CI_AS
                                NULL ,
          [factor] [numeric](10, 7) NULL ,
          [obs] [varchar](250) COLLATE Modern_Spanish_CI_AS
                               NULL ,
          [noreloj] [varchar](20) COLLATE Modern_Spanish_CI_AS
                                  NULL ,
          [importe] [numeric](11, 2) NULL ,
          [base100] [numeric](10, 3) NULL ,
          [periodo] [numeric](3, 0) NULL ,
          [TipoNom] [numeric](3, 0) NULL ,
          [ayo_operacion] [numeric](4, 0) NULL ,
          [importado] [varchar](1) COLLATE Modern_Spanish_CI_AS
                                   NULL ,
          [tipo] [char](2) COLLATE Modern_Spanish_CI_AS
                           NULL ,
          [interpretar] [char](1) COLLATE Modern_Spanish_CI_AS
                                  NULL ,
          [yarevisosup] [char](1) COLLATE Modern_Spanish_CI_AS
                                  NULL ,
          [fchaplica] [datetime] NULL ,
          CONSTRAINT [idxrelojOri] PRIMARY KEY NONCLUSTERED ( [idoriginal] )
            ON [PRIMARY] ,
          CONSTRAINT [RefrelojCfg1005] FOREIGN KEY ( [empresa] ) REFERENCES [relojCfg] ( [empresa] ) ON DELETE CASCADE
        )
    ON  [PRIMARY]

GO
--*************************************
IF NOT EXISTS ( SELECT  name
                FROM    sysobjects
                WHERE   name = N'anua_aus_mes'
                        AND type = 'U' ) 
    BEGIN
        CREATE TABLE [dbo].[anua_aus_mes]
            (
              [empresa] [numeric](18, 0) NOT NULL ,
              [codigo] [char](10) COLLATE Traditional_Spanish_CI_AS
                                  NOT NULL ,
              [num_mes] [numeric](18, 0) NOT NULL ,
              [mes] [char](10) COLLATE Traditional_Spanish_CI_AS
                               NULL ,
              [marca] [char](2) COLLATE Traditional_Spanish_CI_AS
                                NULL ,
              [c1] [char](4) COLLATE Traditional_Spanish_CI_AS
                             NULL ,
              [c2] [char](4) COLLATE Traditional_Spanish_CI_AS
                             NULL ,
              [c3] [char](4) COLLATE Traditional_Spanish_CI_AS
                             NULL ,
              [c4] [char](4) COLLATE Traditional_Spanish_CI_AS
                             NULL ,
              [c5] [char](4) COLLATE Traditional_Spanish_CI_AS
                             NULL ,
              [c6] [char](4) COLLATE Traditional_Spanish_CI_AS
                             NULL ,
              [c7] [char](4) COLLATE Traditional_Spanish_CI_AS
                             NULL ,
              [c8] [char](4) COLLATE Traditional_Spanish_CI_AS
                             NULL ,
              [c9] [char](4) COLLATE Traditional_Spanish_CI_AS
                             NULL ,
              [c10] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c11] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c12] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c13] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c14] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c15] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c16] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c17] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c18] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c19] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c20] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c21] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c22] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c23] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c24] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c25] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c26] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c27] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c28] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c29] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c30] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL ,
              [c31] [char](4) COLLATE Traditional_Spanish_CI_AS
                              NULL
            )
        ON  [PRIMARY]	

        ALTER TABLE [dbo].[anua_aus_mes] WITH NOCHECK ADD 
        CONSTRAINT [PK_anua_aus_mes] PRIMARY KEY  CLUSTERED 
        (
        [empresa],
        [codigo],
        [num_mes]
        )  ON [PRIMARY] 
    END
GO
--************************************************
IF EXISTS ( SELECT  TABLE_NAME
            FROM    INFORMATION_SCHEMA.VIEWS
            WHERE   TABLE_NAME = N'AUSEN_ANUAL' ) 
    DROP VIEW AUSEN_ANUAL
GO
CREATE VIEW AUSEN_ANUAL--, sysname, view_test>
AS
SELECT l.empresa,l.codigo,k.num_conc AS NUMERO_CONC,k.concepto,DAY(k.fch_inicio) AS DIA,
num_conc=(CASE
WHEN k.num_conc=108                                  THEN 'FI'
WHEN k.num_conc=133                                  THEN 'PG'+ISNULL(k.justificar,'A') 
WHEN k.num_conc=120 AND k.CONCEPTO LIKE('%RETARDO%') THEN 'RE'
WHEN k.num_conc=120 AND k.CONCEPTO LIKE('%PASE%')    THEN 'PS'
WHEN k.num_conc= 30                                  THEN 'VAC'
WHEN k.num_conc=109                                  THEN 'ING'
WHEN k.num_conc=110                                  THEN 'INM'
WHEN k.num_conc=111                                  THEN 'INT'
END),
mes=CAST(MONTH(k.fch_inicio) AS CHAR(2)),
mes2=(CASE
WHEN k.MES LIKE(RTRIM('%ENE%')) THEN 'ENERO'
WHEN k.MES LIKE(RTRIM('%FEB%')) THEN 'FEBRERO'
WHEN k.MES LIKE(RTRIM('%MAR%')) THEN 'MARZO'
WHEN k.MES LIKE(RTRIM('%ABR%')) THEN 'ABRIL'
WHEN k.MES LIKE(RTRIM('%MAY%')) THEN 'MAYO'
WHEN k.MES LIKE(RTRIM('%JUN%')) THEN 'JUNIO'
WHEN k.MES LIKE(RTRIM('%JUL%')) THEN 'JULIO'
WHEN k.MES LIKE(RTRIM('%AGO%')) THEN 'AGOSTO'
WHEN k.MES LIKE(RTRIM('%SEP%')) THEN 'SEPTIEMBRE'
WHEN k.MES LIKE(RTRIM('%OCT%')) THEN 'OCTUBRE'
WHEN k.MES LIKE(RTRIM('%NOV%')) THEN 'NOVIEMBRE'
WHEN k.MES LIKE(RTRIM('%DIC%')) THEN 'DICIEMBRE'
END),k.AYO_OPERACION,l.centro,l.supervisor,
(SELECT SUBSTRING(p.mes,1,2) FROM periodos AS p WHERE l.empresa=p.empresa AND l.tiponom=p.tiponom AND estatus='A') AS mesact,
(SELECT p.ayo_operacion FROM periodos AS p WHERE l.empresa=p.empresa AND l.tiponom=p.tiponom AND estatus='A') AS ayo,
CASE WHEN k.dias=0 THEN 1 ELSE k.dias END AS cuantosdias,
(SELECT p.inicio FROM periodos AS p WHERE l.empresa=p.empresa AND l.tiponom=p.tiponom AND estatus='A') AS inicio,
(SELECT p.cierre FROM periodos AS p WHERE l.empresa=p.empresa AND l.tiponom=p.tiponom AND estatus='A') AS cierre,
(SELECT p.pago FROM periodos AS p WHERE l.empresa=p.empresa AND l.tiponom=p.tiponom AND estatus='A') AS pago,k.fch_inicio
FROM llaves AS l
LEFT JOIN kardex_anual AS k ON l.empresa=k.empresa AND l.codigo=k.codigo AND l.tiponom=k.tiponom
WHERE k.NUM_CONC IN(108,120,30,109,110,111,133)
 --or k.NUM_CONC IN(1,2,3,4,5,6) and k.nomina='ORD'
GO
IF EXISTS ( SELECT  name
            FROM    sysobjects
            WHERE   name = N'ExtraerPeriodoactivo'
                    AND type = 'P' ) 
    DROP PROCEDURE ExtraerPeriodoactivo 
GO
CREATE PROCEDURE ExtraerPeriodoactivo
    @empresa NUMERIC(3) ,
    @tiponomina NUMERIC(1)
AS 
    DECLARE @lDiasAntTRA CHAR(1)
    SET @lDiasAntTRA = 'N'
    SELECT  @lDiasAntTRA = ISNULL(DiasAntTRA,'N')
    FROM    relojCfg
    WHERE   empresa = @empresa
    SELECT  p.periodo ,
            p.tiponom ,
            p.ayo_operacion ,
            n.nomina ,
            estatus ,
            CASE @lDiasAntTRA
              WHEN 'N' THEN p.inicio
              ELSE p.fchadmin1
            END AS inicio ,
            CASE @lDiasAntTRA
              WHEN 'N' THEN p.cierre
              ELSE p.fchadmin2
            END AS cierre ,
            p.pago
    FROM    periodos AS p
            LEFT JOIN nominas AS n ON p.empresa = n.empresa
                                      AND p.tiponom = n.tiponom
    WHERE   p.empresa = @empresa
            AND p.tiponom = @tiponomina
            AND p.estatus = 'A'
GO
IF EXISTS ( SELECT  name
            FROM    sysobjects
            WHERE   name = N'ExtraerPeriodo'
                    AND type = 'P' ) 
    DROP PROCEDURE ExtraerPeriodo
GO
CREATE PROCEDURE ExtraerPeriodo
    @empresa NUMERIC(3) ,
    @tiponomina NUMERIC(1) ,
    @periodo NUMERIC(2) ,
    @ayooperacion NUMERIC(4)
AS 
    DECLARE @lDiasAntTRA CHAR(1)
    SELECT  @lDiasAntTRA = DiasAntTRA
    FROM    relojCfg
    WHERE   empresa = @empresa

    SELECT  k.periodo ,
            k.tiponom ,
            n.nomina ,
            k.estatus ,
            CONVERT (VARCHAR(11), CASE @lDiasAntTRA
                                    WHEN 'N' THEN k.inicio
                                    ELSE k.fchadmin1
                                  END, 113) ,
            CONVERT (VARCHAR(11), CASE @lDiasAntTRA
                                    WHEN 'N' THEN k.cierre
                                    ELSE k.fchadmin2
                                  END, 113) ,
            CONVERT (VARCHAR(11), k.pago, 113) ,
            CASE @lDiasAntTRA
              WHEN 'N' THEN k.inicio
              ELSE k.fchadmin1
            END AS inicio ,
            CASE @lDiasAntTRA
              WHEN 'N' THEN k.cierre
              ELSE k.fchadmin2
            END AS cierre ,
            k.pago
    FROM    periodos AS k
            LEFT JOIN nominas AS n ON k.empresa = n.empresa
                                      AND k.tiponom = n.tiponom
    WHERE   k.empresa = @empresa
            AND k.tiponom = @tiponomina
            AND k.ayo_operacion = @ayooperacion
            AND k.periodo = @periodo
GO
UPDATE  relojCfg
SET     autorizacaptura = 0
WHERE   autorizacaptura IS NULL
GO
IF OBJECT_ID('dbo.Supervisor_Extrae_Trabajadores', 'P') IS NOT NULL 
    DROP PROCEDURE dbo.Supervisor_Extrae_Trabajadores
GO
CREATE PROCEDURE [dbo].[Supervisor_Extrae_Trabajadores]
    @supervisor INT = 0 ,
    @empresa INTEGER = 0 ,
    @periodo INT ,
    @ayo INT ,
    @TN INT ,
    @Ver INT = 0
AS 
    SET NOCOUNT ON
    DECLARE @sentencia AS VARCHAR(3000)
    DECLARE @where AS VARCHAR(3000)
    DECLARE @usowhere AS INT
    DECLARE @ejecutar AS INT       
    
    SET @usoWhere = 0
    SET @where = ''    
    SET @ejecutar = 1
    
    IF @Ver > 0 
        BEGIN
            IF @Ver = 1 
                SET @where = @where + 'and isnull(c.count,0)>0 '
            ELSE 
                SET @where = @where + 'and isnull(c.count,0)=0 '
        END

    SET @sentencia = 'SELECT  e.codigo ,' + ' e.nombre ,' + ' e.ap_paterno ,'
        + ' e.ap_materno ,' + ' ISNULL(( SELECT TOP 1' + ' a.fchalta'
        + ' FROM   contratos AS a' + ' WHERE  a.codigo = e.codigo'
        + ' AND a.empresa = e.empresa' + ' ORDER BY a.folio DESC'
        + ' ), e.fchalta) AS fchalta ,' + ' ( SELECT TOP 1' + ' a.fchterm'
        + ' FROM      contratos AS a' + ' WHERE     a.codigo = e.codigo'
        + ' AND a.empresa = e.empresa' + ' ORDER BY  a.folio DESC'
        + ' ) AS fchterm ,' + ' ISNULL(c.count, 0) AS count'
        + ' FROM    empleados AS e'
        + ' LEFT JOIN llaves AS ll ON e.empresa = ll.empresa AND e.codigo = ll.codigo'
        + ' LEFT JOIN ( SELECT  x.empresa ,' + ' x.codigo ,'
        + ' COUNT(x.codigo) AS COUNT' + ' FROM    relojnom AS x'
        + ' WHERE   x.periodo = ' + STR(@periodo) + ' '
        + ' AND x.ayo_operacion = ' + STR(@Ayo) + ' ' + ' AND x.empresa = '
        + STR(@empresa) + ' ' + ' GROUP BY x.empresa ,' + ' x.codigo'
        + ' ) AS c ON e.empresa = c.empresa' + ' AND e.codigo = c.codigo'
        + ' WHERE  ll.tiponom=' + STR(@TN) + ' AND e.empresa = '
        + STR(@empresa) + ' AND e.activo = ''S'' ' + ' AND ll.supervisor = '
        + STR(@supervisor) + @where
                
    IF @ejecutar = 1 
        EXECUTE (@sentencia)
    ELSE 
        SELECT  @sentencia	    
GO
IF OBJECT_ID('dbo.P_Supervisor_CreaPerfil', 'P') IS NOT NULL 
    DROP PROCEDURE  dbo.P_Supervisor_CreaPerfil
GO	
CREATE PROC dbo.P_Supervisor_CreaPerfil
AS 
    DECLARE @ExisteSistema INT

    SELECT  @ExisteSistema = COUNT(sistema)
    FROM    dbo.Sistema
    WHERE   sistema = 'PS'
    IF @ExisteSistema = 0 
        BEGIN
	------Insertar el sistema        
            INSERT  INTO Sistema
                    ( sistema, nombre )
            VALUES  ( 'PS', 'Portal del Supervisor' )
        
	------Insertar Funciones basicas para el sistema
            INSERT  INTO funciones
                    ( sistema, funcion, descripcion )
            VALUES  ( 'PS', 'A', 'Prenomina' )
            INSERT  INTO funciones
                    ( sistema, funcion, descripcion )
            VALUES  ( 'PS', 'B', 'Informacin general' )
            INSERT  INTO funciones
                    ( sistema ,
                      funcion ,
                      descripcion
                    )
            VALUES  ( 'PS' ,
                      'C' ,
                      'Consulta movimientos IMSS'
                    )
            INSERT  INTO funciones
                    ( sistema, funcion, descripcion )
            VALUES  ( 'PS', 'D', 'Consulta de cursos' )
            INSERT  INTO funciones
                    ( sistema, funcion, descripcion )
            VALUES  ( 'PS', 'E', 'Consultar currculo' )
            INSERT  INTO funciones
                    ( sistema, funcion, descripcion )
            VALUES  ( 'PS', 'F', 'Consultar vacaciones' )
            INSERT  INTO funciones
                    ( sistema ,
                      funcion ,
                      descripcion
                    )
            VALUES  ( 'PS' ,
                      'G' ,
                      'Consultar prestamos y deducciones'
                    )
            INSERT  INTO funciones
                    ( sistema, funcion, descripcion )
            VALUES  ( 'PS', 'H', 'Consultar recibos' )	
            INSERT  INTO funciones
                    ( sistema, funcion, descripcion )
            VALUES  ( 'PS', 'I', 'Consultar aucentismo' )	
            INSERT  INTO funciones
                    ( sistema ,
                      funcion ,
                      descripcion
                    )
            VALUES  ( 'PS' ,
                      'J' ,
                      'Consultar el historial detiempo extra'
                    )
	------Insertar opciones basicas para el sistema
            INSERT  INTO opciones
                    ( opcion ,
                      sistema ,
                      funcion ,
                      descripcion
                    )
            VALUES  ( 'A1' ,
                      'PS' ,
                      'A' ,
                      'Captura'
                    )
            INSERT  INTO opciones
                    ( opcion ,
                      sistema ,
                      funcion ,
                      descripcion
                    )
            VALUES  ( 'B2' ,
                      'PS' ,
                      'B' ,
                      'Consulta'
                    )
            INSERT  INTO opciones
                    ( opcion ,
                      sistema ,
                      funcion ,
                      descripcion
                    )
            VALUES  ( 'C1' ,
                      'PS' ,
                      'C' ,
                      'Consulta'
                    )
            INSERT  INTO opciones
                    ( opcion ,
                      sistema ,
                      funcion ,
                      descripcion
                    )
            VALUES  ( 'D1' ,
                      'PS' ,
                      'D' ,
                      'Consulta'
                    )
            INSERT  INTO opciones
                    ( opcion ,
                      sistema ,
                      funcion ,
                      descripcion
                    )
            VALUES  ( 'E1' ,
                      'PS' ,
                      'E' ,
                      'Consulta'
                    )
            INSERT  INTO opciones
                    ( opcion ,
                      sistema ,
                      funcion ,
                      descripcion
                    )
            VALUES  ( 'F1' ,
                      'PS' ,
                      'F' ,
                      'Consulta'
                    )
            INSERT  INTO opciones
                    ( opcion ,
                      sistema ,
                      funcion ,
                      descripcion
                    )
            VALUES  ( 'G1' ,
                      'PS' ,
                      'G' ,
                      'Consulta'
                    )
            INSERT  INTO opciones
                    ( opcion ,
                      sistema ,
                      funcion ,
                      descripcion
                    )
            VALUES  ( 'H1' ,
                      'PS' ,
                      'H' ,
                      'Consulta'
                    )
            INSERT  INTO opciones
                    ( opcion ,
                      sistema ,
                      funcion ,
                      descripcion
                    )
            VALUES  ( 'I1' ,
                      'PS' ,
                      'I' ,
                      'Consulta'
                    )
            INSERT  INTO opciones
                    ( opcion ,
                      sistema ,
                      funcion ,
                      descripcion
                    )
            VALUES  ( 'J1' ,
                      'PS' ,
                      'J' ,
                      'Consulta'
                    )
                    
            INSERT  INTO dbo.perfiles
                    ( descripcion ,
                      sistema ,
                      empresas ,
                      nomina ,
                      actualizar ,
                      sueldo 
                    )
            VALUES  ( 'Administrador Portal Superv.' ,
                      'PS' ,
                      '{}' ,
                      '{}' ,
                      'S' ,
                      'S'
                    )
	
	
	------Insertar opciones en el perfil
            DECLARE @idperfil AS INT
            SELECT  @idperfil = idperfil
            FROM    dbo.perfiles
            WHERE   sistema = 'PS'
            
            INSERT  INTO perfil_funcion
                    ( funcion, opcion, idperfil )
            VALUES  ( 'A', 'A1', @idperfil )
            INSERT  INTO perfil_funcion
                    ( funcion, opcion, idperfil )
            VALUES  ( 'B', 'B1', @idperfil )
            INSERT  INTO perfil_funcion
                    ( funcion, opcion, idperfil )
            VALUES  ( 'C', 'C1', @idperfil )
            INSERT  INTO perfil_funcion
                    ( funcion, opcion, idperfil )
            VALUES  ( 'D', 'D1', @idperfil )
            INSERT  INTO perfil_funcion
                    ( funcion, opcion, idperfil )
            VALUES  ( 'E', 'E1', @idperfil )
            INSERT  INTO perfil_funcion
                    ( funcion, opcion, idperfil )
            VALUES  ( 'F', 'F1', @idperfil )
            INSERT  INTO perfil_funcion
                    ( funcion, opcion, idperfil )
            VALUES  ( 'G', 'G1', @idperfil )
            INSERT  INTO perfil_funcion
                    ( funcion, opcion, idperfil )
            VALUES  ( 'H', 'H1', @idperfil )
            INSERT  INTO perfil_funcion
                    ( funcion, opcion, idperfil )
            VALUES  ( 'I', 'I1', @idperfil )
            INSERT  INTO perfil_funcion
                    ( funcion, opcion, idperfil )
            VALUES  ( 'J', 'J1', @idperfil )
        END
GO
IF EXISTS ( SELECT  syscolumns.name ,
                    syscolumns.collation
            FROM    syscolumns
                    LEFT JOIN sysobjects ON syscolumns.id = sysobjects.id
            WHERE   syscolumns.name = 'Marca'
                    AND sysobjects.name = 'conc133'
                    AND syscolumns.collation <> 'Modern_Spanish_CI_AS' ) 
    ALTER TABLE conc133 ALTER COLUMN Marca CHAR(1)  COLLATE Modern_Spanish_CI_AS 
GO
EXEC P_Supervisor_CreaPerfil
GO
PRINT 'listook'
GO


